void _fastcall dfputs(char _near *);
void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);
void net_perror(char _near *);
int _fastcall convert_error(int);

int _fastcall novell_init(short _far *);
int _fastcall novell_shutdown(short _far *);
int _fastcall novell_socket(short _far *);
int _fastcall novell_info(short _far *);
int _fastcall novell_accept(short _far *);
int _fastcall novell_drain(short _far *);
int _fastcall novell_release(short _far *);
int _fastcall novell_eof(short _far *);
int _fastcall novell_read(short _far *);
int _fastcall novell_write(short _far *);
int _fastcall novell_recv(short _far *);
int _fastcall novell_sendto(short _far *);
int _fastcall novell_select(short _far *);

#undef htons
#undef ntohs
#define htons(x) ((u_short)((u_char)(x) << 8) | (u_char)((u_short)(x) >> 8))
#define ntohs(x) ((u_short)((u_char)(x) << 8) | (u_char)((u_short)(x) >> 8))
